Subject: Re: Congestion avoidance

From: Sally Floyd <[email-masked]>
Date: Sat, 11 Sep 1999 12:22:33 -0700

>Waht I was wondering was whether there is any event that would cause
>cwnd to switch back from linear increase to exponential increase (by 1
>segment per ACK) without first resetting cwnd ... as in declaring
>congestion is over and back to normal.

Nope.  "Normal" means congestion avoidance, not exponential increase.

The exponential increase phase applies only when cwnd < ssthresh.
And such an exponential increase phase only begins at the start of
the connection, or after cwnd is decreased.  (That is, ssthresh is
never increased unless it is accompanied by a decrease in cwnd.)

- Sally